> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/rdm/da/knowledge-base/how-to-articles/performance-diagnostic.md).

# Diagnosticering af ydeevne

Kør en ydelsesdiagnosticering i Remote Desktop Manager ved at sende spor fra arbejdsområdet eller en SQL-rapport om diskforbrug til supporten hos Devolutions.

Når der opstår et ydelsesproblem under brugen af Remote Desktop Manager Windows, kan supportteamet bede Dem om at sende nogle oplysninger om Deres arbejdsområde, systemindstillinger osv. Følg en af de to metoder nedenfor for at indsamle oplysningerne og sende dem til supportteamet.

### Send et ydelsesspor via Remote Desktop Manager

1. Åbn ***Fil*** – ***Oplysninger om mit arbejdsområde***.
2. Klik på knappen ***Send rapport til support via e-mail*** for at sende oplysningerne til supportteamet.
3. Åbn ***Hjælp*** – ***Systemdiagnosticering***.
4. Klik på knappen ***Send***.
5. Medtag nok oplysninger til at knytte rapporten til den relevante sag. Husk at angive Deres brugernavn, hvis processen blev startet fra forummet.
6. Gå derefter til ***Hjælp*** – ***Profilering af ydeevne.***
7. I Remote Desktop Manager skal De holde tasten <kbd>Ctrl</kbd> nede og trykke på opdateringsknappen.
8. Oplysninger tilføjes på fanen ***Ydeevne*** i det vindue til profilering af ydeevne, der blev åbnet under trin 6.
9. Klik på knappen ***Send spor til support***. Sørg igen for at medtage nok oplysninger til at knytte rapporten til den relevante sag, og angiv Deres forumbrugernavn, hvis processen blev startet fra forummet.

### Send en rapport om diskforbrug efter de største tabeller via e-mail fra SSMS

For arbejdsområder på Devolutions Server, SQL og SQL Azure kan der genereres en ***Rapport*** ***om diskforbrug efter de største tabeller*** fra ***SQL Server Management Studio (SSMS)*** for at vurdere antallet af poster i bestemte databasetabeller. Sådan gør De:

1. Åbn ***SQL Server Management Studio (SSMS)***.
2. Højreklik på databasen, og vælg ***Rapporter*** – ***Standardrapporter*** – ***Diskforbrug efter de største tabeller***.
3. Send rapporten til <service@devolutions.net>.

Her er den ***SQL-forespørgsel***, der giver det samme resultat, hvis databasen er hostet på Azure.

````
SELECT TOP 1000
        a3.name AS SchemaName,
        a2.name AS TableName,
        a1.rows as Row_Count,
        (a1.reserved )* 8.0 / 1024 AS reserved_mb,
        a1.data * 8.0 / 1024 AS data_mb,
        (CASE WHEN (a1.used ) > a1.data THEN (a1.used ) - a1.data ELSE 0 END) * 8.0 / 1024 AS index_size_mb,
        (CASE WHEN (a1.reserved ) > a1.used THEN (a1.reserved ) - a1.used ELSE 0 END) * 8.0 / 1024 AS unused_mb
    FROM    (   SELECT
                ps.object_id,
                SUM ( CASE WHEN (ps.index_id < 2) THEN row_count    ELSE 0 END ) AS [rows],
                SUM (ps.reserved_page_count) AS reserved,
                SUM (CASE   WHEN (ps.index_id < 2) THEN (ps.in_row_data_page_count + ps.lob_used_page_count + ps.row_overflow_used_page_count)
                            ELSE (ps.lob_used_page_count + ps.row_overflow_used_page_count) END
                    ) AS data,
                SUM (ps.used_page_count) AS used
                FROM sys.dm_db_partition_stats ps
                GROUP BY ps.object_id
            ) AS a1
    INNER JOIN sys.all_objects a2  ON ( a1.object_id = a2.object_id )
    INNER JOIN sys.schemas a3 ON (a2.schema_id = a3.schema_id)
    WHERE a2.type <> N'S' and a2.type <> N'IT'
    order by a1.reserved desc
```<div data-gb-custom-block data-tag="hint" data-style='info'>For Devolutions Server workspaces, the [Cleanup logs](https://docs.devolutions.net/server/web-interface/administration/database-retention-policies/) feature (***Administration*** – ***Logs*** – ***Clean up logs, i***n the Devolutions Server web interface) can help reduce the number of records in the report table by automatically archiving/deleting old logs.</div>
````


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/rdm/da/knowledge-base/how-to-articles/performance-diagnostic.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
